Build Listing from Product Variant
post
https://api.flxpoint.com/listing/{channelId}/builder/build/{productVariantId}Use this when you want to create listing builder data through the API.
๐ X-API-TOKENโฑ 2 req/sToken: Account ยท Source ยท Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Request
Body
application/jsonmappingTemplateIdintegerA specific mapping template that should be used to build the listing. If not provided the default mapping template will be used/created.
rebuildIfExistsbooleanRebuild the listing if the product variant is already built and linked to a listing in the channel
Example request
post
/listing/{channelId}/builder/build/{productVariantId}curl -X POST "https://api.flxpoint.com/listing/{channelId}/builder/build/{productVariantId}" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"mappingTemplateId": 0,
"rebuildIfExists": true
}'Example body ยท application/json
{
"mappingTemplateId": 0,
"rebuildIfExists": true
}Responses
200OKapplication/json
listingVariantIdintegerThe ID of the listing variant if it was successfully created OR if it was rebuilt
channelIdintegerThe channel ID as passed in the path params
builtbooleanWhether or not the listing was built (created)
rebuiltbooleanWhether a listing that already existed for the product in the channel was rebuilt.
duplicateSkuFailurebooleanIf the listing could not be built because there already is a existing listing in the channel with the same SKU that was generated from the product and mapping template.
Example response
{
"listingVariantId": 0,
"channelId": 0,
"built": true,
"rebuilt": true,
"duplicateSkuFailure": true
}401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"post": {
"summary": "Build Listing from Product Variant",
"parameters": [],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ListingBuilderRequest"
}
}
}
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ListingBuilderResponse"
}
}
}
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight